Attribute VB_Name = "modXPButton"
Option Explicit

'This module contains functions needed by XPButton control

Private Declare Function GetVersionEx Lib "kernel32" Alias "GetVersionExA" (lpVersionInformation As OSVERSIONINFO) As Long

Private Type OSVERSIONINFO
    dwOSVersionInfoSize As Long
    dwMajorVersion As Long
    dwMinorVersion As Long
    dwBuildNumber As Long
    dwPlatformId As Long
    szCSDVersion As String * 128
End Type

Private mIsWin95 As Boolean
Private mIsWin95Initialized As Boolean

'Returns if the currently running operating system is Microsoft Windows 95
Property Get IsWin95() As Boolean
    If Not mIsWin95Initialized Then
        Dim os As OSVERSIONINFO, ret As Long
        os.dwOSVersionInfoSize = Len(os)
        
        ret = GetVersionEx(os)
        
        mIsWin95 = ret = 0 Or (os.dwMajorVersion = 4 And os.dwMinorVersion = 0)
    End If
    IsWin95 = mIsWin95
End Property

'If value "v" is lower "Min" or higher "Max" it is aligned to this bounds
Function ToBounds(ByVal v As Long, ByVal Min As Long, ByVal Max As Long) As Long
    If v < Min Then
        ToBounds = Min
    ElseIf v > Max Then
        ToBounds = Max
    Else
        ToBounds = v
    End If
End Function

